<?php

use Illuminate\Database\Migrations\Migration;

class CreateMendorsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: mendors
         */
        Schema::create('mendors', function ($table) {
            $table->increments('id');
            $table->string('user_type', 100)->nullable();
            $table->integer('standard_id')->nullable();
            $table->integer('semester_id')->nullable();
            $table->integer('student_id')->nullable();
            $table->integer('subject_id')->nullable();
            $table->string('accademics', 100)->nullable();
            $table->string('attendance', 100)->nullable();
            $table->string('grade', 100)->nullable();
            $table->string('progress', 255)->nullable();
            $table->text('remarks')->nullable();
            $table->enum('status', ['pending','approved'])->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('mendors');
    }
}
