@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('mendor::mendor.name') !!} <small> {!! trans('app.manage') !!} {!! trans('mendor::mendor.names') !!}</small>
@stop

@section('title')
{!! trans('mendor::mendor.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('mendor::mendor.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='mendor-mendor-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="mendor-mendor-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('mendor::mendor.label.standard_id')!!}</th>
                    <th>{!! trans('mendor::mendor.label.semester_id')!!}</th>
                    <th>{!! trans('mendor::mendor.label.student_id')!!}</th>
                    <th>{!! trans('mendor::mendor.label.subject_id')!!}</th>
                    <th>{!! trans('mendor::mendor.label.accademics')!!}</th>
                    <th>{!! trans('mendor::mendor.label.attendance')!!}</th>
                    <th>{!! trans('mendor::mendor.label.grade')!!}</th>
                    <th>{!! trans('mendor::mendor.label.progress')!!}</th>
                    <th>{!! trans('mendor::mendor.label.remarks')!!}</th>
                    <th>{!! trans('mendor::mendor.label.status')!!}</th>
                    <th>{!! trans('mendor::mendor.label.created_at')!!}</th>
                    <th>{!! trans('mendor::mendor.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[standard_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[semester_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[student_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[subject_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[accademics]')->raw()!!}</th>
                    <th>{!! Form::text('search[attendance]')->raw()!!}</th>
                    <th>{!! Form::text('search[grade]')->raw()!!}</th>
                    <th>{!! Form::text('search[progress]')->raw()!!}</th>
                    <th>{!! Form::text('search[remarks]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#mendor-mendor-entry', '{!!trans_url('admin/mendor/mendor/0')!!}');
    oTable = $('#mendor-mendor-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/mendor/mendor') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#mendor-mendor-list .search_bar input, #mendor-mendor-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'standard_id'},
                    {data :'semester_id'},
                    {data :'student_id'},
                    {data :'subject_id'},
                    {data :'accademics'},
                    {data :'attendance'},
                    {data :'grade'},
                    {data :'progress'},
                    {data :'remarks'},
                                {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#mendor-mendor-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#mendor-mendor-list').DataTable().row( this ).data();

        $('#mendor-mendor-entry').load('{!!trans_url('admin/mendor/mendor')!!}' + '/' + d.id);
    });

    $("#mendor-mendor-list .search_bar input, #mendor-mendor-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

