<?php

namespace Asadi\Mendor\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Mendor\Interfaces\MendorRepositoryInterface;

class MendorPublicController extends BaseController
{
    // use MendorWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Mendor\Interfaces\MendorRepositoryInterface $mendor
     *
     * @return type
     */
    public function __construct(MendorRepositoryInterface $mendor)
    {
        $this->repository = $mendor;
        parent::__construct();
    }

    /**
     * Show mendor's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $mendors = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('mendor::public.mendor.index', compact('mendors'))->render();
    }

    /**
     * Show mendor.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $mendor = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('mendor::public.mendor.show', compact('mendor'))->render();
    }

}
