<?php

namespace Asadi\Mendor;

use User;

class Mendor
{
    /**
     * $mendor object.
     */
    protected $mendor;

    /**
     * Constructor.
     */
    public function __construct(\Asadi\Mendor\Interfaces\MendorRepositoryInterface $mendor)
    {
        $this->mendor = $mendor;
    }

    /**
     * Returns count of mendor.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.mendor.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->mendor->pushCriteria(new \Litepie\Asadi\Repositories\Criteria\MendorUserCriteria());
        }

        $mendor = $this->mendor->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('mendor::' . $view, compact('mendor'))->render();
    }
}
