<?php

namespace Asadi\Mendor\Workflow;

use Asadi\Mendor\Models\Mendor;
use Asadi\Mendor\Notifications\Mendor as MendorNotifyer;
use Notification;

class MendorNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Mendor $mendor
     *
     * @return void
     */
    public function complete(Mendor $mendor)
    {
        return Notification::send($mendor->user, new MendorNotifyer($mendor, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Mendor $mendor
     *
     * @return void
     */
    public function verify(Mendor $mendor)
    {
        return Notification::send($mendor->user, new MendorNotifyer($mendor, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Mendor $mendor
     *
     * @return void
     */
    public function approve(Mendor $mendor)
    {
        return Notification::send($mendor->user, new MendorNotifyer($mendor, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Mendor $mendor
     *
     * @return void
     */
    public function publish(Mendor $mendor)
    {
        return Notification::send($mendor->user, new MendorNotifyer($mendor, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Mendor $mendor
     *
     * @return void
     */
    public function archive(Mendor $mendor)
    {
        return Notification::send($mendor->user, new MendorNotifyer($mendor, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Mendor $mendor
     *
     * @return void
     */
    public function unpublish(Mendor $mendor)
    {
        return Notification::send($mendor->user, new MendorNotifyer($mendor, 'unpublish'));;

    }
}
